const thing1 = {
  a: "alpha";
}
const thing2 = {
  b: "beta";
}

function thisFn() {
  this.foo = "bar";
}

const fn2 = thisFn.bind(thing2);
fn2();

console.log(thing1);  // { a: "alpha" }
console.log(thing2);  // { b: "beta", foo: "bar"}